srp_rport_add
Prev | SCSI RDMA (SRP) transport class | Next

## Name

srp_rport_add — add a SRP remote port to the device hierarchy

## Synopsis

`struct srp_rport * srp_rport_add (` | struct Scsi_Host * | shost,
| struct srp_rport_identifiers * | ids`)`;

## Arguments

`shost`

  scsi host the remote port is connected to.

`ids`

  The port id for the remote port.

## Description

Publishes a port to the rest of the system.

Prev | Up | Next
spi_display_xfer_agreement | Home | srp_rport_del